export default CloudPDF;

export type CloudPDFViewerOptions = {
  serverUrl?: string;
  documentId: string;
  darkMode?: boolean;
  appBarColored?: boolean;
  themeColor?: string;
  hideUI?: boolean;
  initialMaxWidth?: number;
  token?: string;
};

export declare class CloudPDFViewerInstance {
  setThemeColor(color: string): void;
  setAppBarColored(appBarColored: boolean): void;
  setDarkMode(darkmode: boolean): void;
  setDarkMode(darkmode: boolean): void;
  showUI(): void;
}

declare function CloudPDF(config: CloudPDFViewerOptions, element: HTMLDivElement): Promise<CloudPDFViewerInstance>;